version: "3.7"

services:
  mongo:
    container_name: happyq-visitors-db
    image: mongo:latest
    restart: always
    environment:
      MONGO_INITDB_DATABASE: happyq
    ports:
      - 27017:27017
    healthcheck:
      test: echo 'db.runCommand("ping").ok' | mongo mongo/test --quiet 1
      retries: 3
    volumes:
      - mongo:/data/db
    # logging:
    #   driver: none

  happyq-visitors:
    build:
      context: .
      dockerfile: dockerfile.happyq_visitors
    container_name: happyq-visitors
    ports:
      - 8080:8080
    environment:
      VISITORS_MONGO_URI: mongodb://mongo/
      VISITORS_MONGO_DB: happyq
      VISITORS_API_HOST: 0.0.0.0:8080
      VISITORS_GIN_MODE: debug
    depends_on:
      - mongo

volumes:
  mongo:
